IP_RECVTTL(2const)

NAME
IP_RECVTTL - enable IP_TTL control message

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, int opt,
               const int *enable, sizeof(int));

DESCRIPTION
When this flag is set, pass a IP_TTL(2const) control message with the time-to-live field of the received packet as a 32 bit integer.

Not supported for SOCK_STREAM sockets.

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

VERSIONS
Some BSD sockets implementations also provide an IP_RECVTTL option, but an ancillary message with type IP_RECVTTL is passed with the incoming packet. This is different from the IP_TTL(2const) option used in Linux.

HISTORY
Linux 2.2.

SEE ALSO
IPPROTO_IP(2const), setsockopt(2), ip(7)